YYSTYPE Union Reference

`#include <gram.h>`

## Data Fields

VALUE | val
NODE * | node
ID | id
int | num
struct vtable * | vars
SYMID | nodeId
SyckNode * | nodeData
char * | name

## Detailed Description

Definition at line 165 of file ripper.y.

## Field Documentation

ID YYSTYPE::id

Definition at line 172 of file ripper.y.

Referenced by yyparse().

char * YYSTYPE::name

Definition at line 136 of file gram.c.

Referenced by sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

NODE * YYSTYPE::node

Definition at line 171 of file ripper.y.

Referenced by yyparse().

SyckNode * YYSTYPE::nodeData

Definition at line 135 of file gram.c.

Referenced by sycklex_bytecode_utf8(), sycklex_yaml_utf8(), and yyparse().

SYMID YYSTYPE::nodeId

Definition at line 134 of file gram.c.

Referenced by yyparse().

int YYSTYPE::num

Definition at line 173 of file ripper.y.

Referenced by yyparse().

VALUE YYSTYPE::val

Definition at line 170 of file ripper.y.

Referenced by yylex(), and yyparse().

struct vtable * YYSTYPE::vars

Definition at line 174 of file ripper.y.

Referenced by yyparse().

The documentation for this union was generated from the following files:

- parse.h
- ext/syck/gram.c
- ext/syck/gram.h
- parse.c